%define majver %(echo %version | cut -d. -f1-2)
Name:          avidemux
Version:       2.8.0
Release:       1mamba
Summary:       Graphical video editing tool
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://fixounet.free.fr/avidemux/
Source:        http://downloads.sourceforge.net/project/avidemux/avidemux/%{version}/avidemux_%{version}.tar.gz
Patch0:        avidemux-2.4.3-x264.patch
Patch1:        avidemux-2.5.0-gcc-4.4.patch
Patch2:        avidemux2-2.6.11-x86-fix-impossible-asm-constraints.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGLU-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXv-devel
BuildRequires: libalsa-devel
BuildRequires: libdca-devel
BuildRequires: libesound-devel
BuildRequires: libfaac-devel
BuildRequires: libfaad2-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libfribidi-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libjack-devel
BuildRequires: liblame-devel
BuildRequires: libopencore-amr-devel
BuildRequires: libopus-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtwolame-devel
BuildRequires: libva-devel
BuildRequires: libvdpau-devel
BuildRequires: libvorbis-devel
BuildRequires: libvpx-devel
BuildRequires: libx264-devel
BuildRequires: libx265-devel
BuildRequires: libxvidcore-devel
BuildRequires: libz-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: automake
BuildRequires: desktop-file-utils
BuildRequires: gcc
BuildRequires: liba52dec-devel
BuildRequires: libid3tag-devel
BuildRequires: libmad-devel
BuildRequires: libslang-devel
BuildRequires: mjpegtools-devel
BuildRequires: nasm
BuildRequires: spidermonkey
Provides:      avidemux2
Obsoletes:     avidemux2 <= 2.7.8-1mamba
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Avidemux2 is a graphical tool to edit AVI. It allows you to multiplex and demultiplex audio to/from video.
It is able to cut video, import BMP, MJPEG and MPEG video, and encode them.
You can also process video with included filters. It requires a DivX compatible encoder and the Gimp Toolkit (GTK) libraries.

%package qt5
Group:         Graphical Desktop/Applications/Multimedia
Summary:       GUI frontend for avidemux
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-gtk
Obsoletes:     %{name}-gtk < 2.7.8
Provides:      %{name}-qt4
Obsoletes:     %{name}-qt4 < 2.7.8
Provides:      avidemux2-qt5
Obsoletes:     avidemux2-qt5 <= 2.7.8-1mamba

%description qt5
Avidemux2 is a graphical tool to edit AVI. It allows you to multiplex and demultiplex audio to/from video.
It is able to cut video, import BMP, MJPEG and MPEG video, and encode them.
You can also process video with included filters. It requires a DivX compatible encoder and the Gimp Toolkit (GTK) libraries.
This package contains the Qt frontend.

%package -n lib%{name}
Summary:       Libraries provided by %{name}
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libavidemux2
Obsoletes:     libavidemux2 <= 2.7.8-1mamba

%description -n lib%{name}
Libraries provided by %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      avidemux2-devel
Obsoletes:     avidemux2-devel < 2.7.8
Provides:      libavidemux2-devel
Obsoletes:     libavidemux2-devel <= 2.7.8-1mamba

%description -n lib%{name}-devel
Avidemux2 is a graphical tool to edit AVI. It allows you to multiplex and demultiplex audio to/from video.
It is able to cut video, import BMP, MJPEG and MPEG video, and encode them.
You can also process video with included filters. It requires a DivX compatible encoder and the Gimp Toolkit (GTK) libraries.
This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q -n avidemux_%{version}
#%ifarch %{ix86}
#%patch2 -p1
#%endif

%build
sh ./bootStrap.bash --with-cli --with-plugins

for f in build*; do
%make -C $f
done

# --with-gtk # doesn't build, use qt interface

#%c make -d build ../avidemux_core

#%{__make} -f Makefile.dist
#%{__perl} -pi.orig -e 's|/usr/X11R6/lib|\$x_libraries|g' configure
#%{__perl} -pi.orig -e 's|/usr/X11R6/lib|%{_prefix}/X11R6/%{_lib}|g' Makefile.in */Makefile.in */*/Makefile.in
#export CFLAGS="${CFLAGS:-%optflags}"
#export CXXFLAGS="${CXXFLAGS:-%optflags}"
#% configure \
#	--x-libraries="%{_prefix}/X11R6/%{_lib}" \
#	--with-qt-dir=%{_qt4_prefix} \
#	--with-qt-include=%{_qt4_headerdir} \
#	--with-qt-lib=%{_qt4_libdir} \
#	--without-arts
#
#% make -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
for f in build*; do
%makeinstall -C $f
done

install -D -m644 avidemux_icon.png \
 %{buildroot}%{_datadir}/pixmaps/avidemux.png

# Create the system menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Avidemux Video Editor
Comment=Edit your videos in real-time
Icon=%{_datadir}/pixmaps/avidemux.png
MimeType=video/mpeg;video/quicktime;video/x-msvideo;video/x-anim;audio/x-mp3;audio/x-mp2;
Exec=avidemux3
Terminal=false
Type=Application
Categories=Application;AudioVideo
EOF

ln -s avidemux3_qt5 %{buildroot}%{_bindir}/avidemux3
ln -s avidemux3_qt5 %{buildroot}%{_bindir}/avidemux

#%find_lang avidemux -f avidemux.lang

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/avidemux3_cli
%dir %{_datadir}/ADM6_addons
%dir %{_datadir}/ADM6_addons/avsfilter
%{_datadir}/ADM6_addons/avsfilter/avsload.exe
%{_datadir}/ADM6_addons/avsfilter/pipe_source.dll
%doc AUTHORS COPYING

%files qt5
%defattr(-,root,root)
%{_bindir}/avidemux3_qt5
%{_bindir}/avidemux3_jobs_qt5
%{_bindir}/avidemux
%{_bindir}/avidemux3
#%{_libdir}/libADM_render6_qt5.so
#%dir %{_datadir}/avidemux6
#%dir %{_datadir}/avidemux6/help
#%dir %{_datadir}/avidemux6/help/QtScriptQT4
#%{_datadir}/avidemux6/help/QtScriptQT4/*
#%dir %{_datadir}/avidemux6/qt4
#%dir %{_datadir}/avidemux6/qt4/i18n
%{_datadir}/avidemux6/qt5/i18n/avidemux_*.qm
%{_datadir}/avidemux6/qt5/i18n/qtbase_*.qm
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/org.avidemux.Avidemux.desktop
%{_datadir}/icons/hicolor/128x128/apps/org.avidemux.Avidemux.png
%{_datadir}/metainfo/org.avidemux.Avidemux.appdata.xml
%{_datadir}/pixmaps/avidemux.png

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libADM6avcodec.so.*
%{_libdir}/libADM6avformat.so.*
%{_libdir}/libADM6avutil.so.*
%{_libdir}/libADM6postproc.so.*
%{_libdir}/libADM6swscale.so.*
#%dir %{_libdir}/ADM_glade
#%{_libdir}/ADM_glade/*
%dir %{_libdir}/ADM_plugins6
%{_libdir}/ADM_plugins6/*
%{_libdir}/libADM_*.so

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/avidemux
%dir %{_includedir}/avidemux/%{majver}
%{_includedir}/avidemux/%{majver}/*
#%doc README

%changelog
* Tue Dec 28 2021 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Thu Dec 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.8-2mamba
- renamed from avidemux2; fixes

* Tue Jun 29 2021 Automatic Build System <autodist@mambasoft.it> 2.7.8-1mamba
- automatic update by autodist

* Mon Jul 06 2020 Automatic Build System <autodist@mambasoft.it> 2.7.6-1mamba
- automatic version update by autodist

* Thu Aug 15 2019 Automatic Build System <autodist@mambasoft.it> 2.7.4-1mamba
- automatic version update by autodist

* Thu Mar 21 2019 Automatic Build System <autodist@mambasoft.it> 2.7.3-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 2.7.2-1mamba
- automatic version update by autodist

* Mon Jun 04 2018 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Sat Jan 06 2018 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Tue Nov 22 2016 Automatic Build System <autodist@mambasoft.it> 2.6.15-1mamba
- automatic version update by autodist

* Sun Sep 18 2016 Automatic Build System <autodist@mambasoft.it> 2.6.14-1mamba
- automatic version update by autodist

* Sat Aug 20 2016 Automatic Build System <autodist@mambasoft.it> 2.6.13-1mamba
- automatic version update by autodist

* Sat Mar 05 2016 Automatic Build System <autodist@mambasoft.it> 2.6.12-1mamba
- automatic version update by autodist

* Fri Jan 29 2016 Automatic Build System <autodist@mambasoft.it> 2.6.11-1mamba
- automatic version update by autodist

* Sat Jul 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.10-1mamba
- update to 2.6.10

* Sat Mar 15 2014 Automatic Build System <autodist@mambasoft.it> 2.6.8-1mamba
- automatic version update by autodist

* Sun Dec 08 2013 Automatic Build System <autodist@mambasoft.it> 2.6.7-1mamba
- automatic version update by autodist

* Sat Sep 28 2013 Automatic Build System <autodist@mambasoft.it> 2.6.6-1mamba
- automatic version update by autodist

* Thu Aug 29 2013 Automatic Build System <autodist@mambasoft.it> 2.6.5-1mamba
- automatic version update by autodist

* Tue Jul 16 2013 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic version update by autodist

* Tue Mar 26 2013 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic version update by autodist

* Wed Mar 20 2013 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Thu Dec 20 2012 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Sat Oct 06 2012 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Tue Apr 10 2012 Automatic Build System <autodist@mambasoft.it> 2.5.6-1mamba
- automatic version update by autodist

* Thu Jun 16 2011 Automatic Build System <autodist@mambasoft.it> 2.5.5-1mamba
- automatic update by autodist

* Mon Oct 25 2010 Automatic Build System <autodist@mambasoft.it> 2.5.4-1mamba
- automatic update to 2.5.4 by autodist

* Sat May 08 2010 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic update to 2.5.3 by autodist

* Mon Dec 21 2009 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic update to 2.5.2 by autodist

* Thu Aug 20 2009 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic update to 2.5.1 by autodist

* Thu Jul 02 2009 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic update to 2.5.0 by autodist

* Fri Mar 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.4-1mamba
- automatic update by autodist

* Fri Dec 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-2mamba
- automatic rebuild by autodist

* Mon Nov 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-1mamba
- automatic update by autodist

* Sat Jun 14 2008 gil <puntogil@libero.it> 2.4.1-1mamba
- update to 2.4.1

* Mon Jun 27 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.0.42-2qilnx
- new version

* Tue Sep 14 2004 Matteo Bernasconi <voyagernm@virgilio.it> 2.028-1qilnx
- First Build
